apiVersion: v1
kind: Template
labels:
  app: percona
  template: percona-secret
metadata:
  annotations:
    description: Percona - Secrets
    iconClass: icon-mysql-database
    openshift.io/display-name: Percona
    tags: percona
  name: percona-secret
objects:
- apiVersion: v1
  kind: Secret
  metadata:
    annotations:
      template.openshift.io/expose-monitor-password: "{.data['database-monitor-password']}"
      template.openshift.io/expose-monitor-user: "{.data['database-monitor-user']}"
      template.openshift.io/expose-password: "{.data['database-password']}"
      template.openshift.io/expose-repl-password: "{.data['database-repl-password']}"
      template.openshift.io/expose-repl-user: "{.data['database-repl-user']}"
      template.openshift.io/expose-root-password: "{.data['database-root-password']}"
      template.openshift.io/expose-user: "{.data['database-user']}"
    name: percona-${FRONTNAME}
  stringData:
    database-monitor-password: "${PERCONA_MONITOR_PASSWORD}"
    database-monitor-user: "${PERCONA_MONITOR_USER}"
    database-password: "${PERCONA_PASSWORD}"
    database-repl-password: "${PERCONA_REPL_PASSWORD}"
    database-repl-user: "${PERCONA_REPL_USER}"
    database-root-password: "${PERCONA_ROOT_PASSWORD}"
    database-user: "${PERCONA_USER}"
parameters:
- name: FRONTNAME
  description: The name identifier assigned to objects defined in this template
  displayName: Name
  required: true
  value: demo
- name: PERCONA_MONITOR_PASSWORD
  description: Password for the Percona Monitor connection user.
  displayName: Percona Connection Password
  from: '[a-zA-Z0-9]{16}'
  generate: expression
- name: PERCONA_MONITOR_USER
  description: Username for Percona Monitor user that will be used for accessing the database.
  displayName: Percona Connection Username
  from: monitor[A-Z0-9]{3}
  generate: expression
- name: PERCONA_PASSWORD
  description: Password for the Percona Applicative connection user.
  displayName: Percona Connection Password
  from: '[a-zA-Z0-9]{16}'
  generate: expression
- name: PERCONA_REPL_PASSWORD
  description: Password for the Percona Replication connection user.
  displayName: Percona Connection Password
  from: '[a-zA-Z0-9]{16}'
  generate: expression
- name: PERCONA_REPL_USER
  description: Username for Percona Replication user that will be used for accessing the database.
  displayName: Percona Connection Username
  from: xtrabackup[A-Z0-9]{3}
  generate: expression
- name: PERCONA_ROOT_PASSWORD
  description: Password for the Percona Root connection user.
  displayName: Percona Connection Password
  from: '[a-zA-Z0-9]{16}'
  generate: expression
- name: PERCONA_USER
  description: Username for Percona Applicative user that will be used for accessing the database.
  displayName: Percona Connection Username
  from: user[A-Z0-9]{3}
  generate: expression
